from typing import Union
from pyrogram.types import User, ChatMember
from modules.database import col_users, col_context, col_warnings, col_applications, col_sponsorships

class UserNotFoundError(Exception):
    """HoloUser could not find user with such an ID in database"""
    def __init__(self, user, user_id):
        self.user = user
        self.user_id = user_id
        super().__init__(f"User of type {type(self.user)} with id {self.user_id} was not found")

class HoloUser():
    def __init__(self, user: Union[User, ChatMember, int]) -> None:
        pass